Page MenuHomePhabricator

Create a Universal Layout for Dashiki for staging / testing config purposes
Closed, DeclinedPublic

Description

It would be cool if dashboards could render immediately after an on-wiki config was written. It may be a little slow to run this as the default mode in production, so to facilitate demos and dashboard previews, we can re-organize the code as follows:

  • new universal layout
  • new routing component that loads, reads the URL, figures out the layout and config
  • the universal layout renders the dashboard according to what the routing component above parses out
  • the wiki page with the dashiki config could have a link out to this preview domain on labs (eg. dashiki.wmflabs.org/metrics-by-project/VitalSigns)

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2016, 5:53 PM
Milimetric triaged this task as Low priority.Oct 3 2016, 3:33 PM
Milimetric moved this task from Incoming to Event Platform on the Analytics board.
Milimetric moved this task from Event Platform to Dashiki on the Analytics board.Oct 17 2016, 3:52 PM
Nuria moved this task from Dashiki to Deprioritized on the Analytics board.Aug 14 2017, 3:50 PM
Milimetric closed this task as Declined.Aug 31 2020, 5:32 PM

manually merged into T168573, to make it easier to triage and decide on the future of Dashiki.